Bug 185730 - Only one bonding device bond0 possible
Only one bonding device bond0 possible
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: iputils (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-17 03:31 EST by Rene Zbinden
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:46:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rene Zbinden 2006-03-17 03:31:26 EST
Description of problem:
I need two bonding devices bond0 and bond1. I followed the procedure described
in /usr/share/doc/iputils-20020927/README.bonding and made the following lines
in /etc/modprobe.conf

alias bond0 bonding
alias bond1 bonding

options bond0 miimon=100
options bond1 -o bonding1 arp_interval=200 arp_ip_target=10.0.0.1

When I start the network I get the following messages:
Bringing up loopback interface:  ip_tables: (C) 2000-2002 Netfilter core team
                                                           [  OK  ]
Bringing up interface bond0:  ip_tables: (C) 2000-2002 Netfilter core team
bonding: Warning: failed to get speed/duplex from eth2, speed forced to 100Mbps,
duplex forced to Full.
                                                           [  OK  ]
Bringing up interface bond1:  bonding device bond1 does not seem to be present,
delaying initialization.
                                                           [FAILED]

And when I have a look at /proc/net/bonding there is only bond0 visible.

Version-Release number of selected component (if applicable):


How reproducible:
As described above

Steps to Reproduce:
1./etc/init.d/network stop
2.rmmod bonding
3./etc/init.d/network start
  
Actual results:

No bond1 device available

Expected results:
bond1 device should be available

Additional info:
Comment 1 Radek Vokal 2006-03-22 06:20:51 EST
can I also have ifcfg-* files from 

/etc/sysconfig/network-scripts

Which version of iputils exactly are you using? 

Comment 3 Baif 2007-06-17 23:50:12 EDT
Had the problem been solved?
Comment 4 RHEL Product and Program Management 2007-10-19 14:46:01 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.